// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_FComponentKey.h"
#include "Engine/InheritableComponentHandler.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_FComponentKey::SCW_FComponentKey(FComponentKey* InComponentKey) : ComponentKey(*InComponentKey)
{

}

FComponentKey& SCW_FComponentKey::ToFComponentKey()
{
	return ComponentKey;
}

ISCW_FComponentKeyPtr SCW_FComponentKey::ToFComponentKeyPtr()
{
	return GetSharedThisAs<SCW_FComponentKey>();
}

ISCW_FComponentKeyConstPtr SCW_FComponentKey::ToFComponentKeyPtr() const
{
	return GetSharedThisAs<SCW_FComponentKey>();
}

bool SCW_FComponentKey::IsValid() const
{
	return ComponentKey.IsValid();
}